<?php

echo "<p>NOTE: In order to use the \"listen now\" links, you will need the Quicktime browser plugin installed. If these links do not play, download the plugin <a href='http://www.quicktime.com' target='_blank'>here</a>.</p>";

// Parsing a large document with Expand and SimpleXML
//MIN + MAX from url string
$min = (int)$_GET["min"];
$max = (int)$_GET["max"];

if($max === 0) {
	$max = 9;
}

$xml= "http://www.frc.dreamhosters.com/podcastReader.php?url=http://www.frc.dreamhosters.com/index.php?option=com_sermonspeaker&view=feed";
$xmlDoc = new DOMDocument();
$xmlDoc->load($xml);
$item = $xmlDoc->getElementsByTagName("item");
$numOfItems = $item->length;


$prevMin = $min-10;
$prevMax = $prevMin+10;
$nextMin = $min+10;
$nextMax = $max+10;


$reader = new XMLReader();

$reader->open("http://www.frc.dreamhosters.com/podcastReader.php?url=http://www.frc.dreamhosters.com/index.php?option=com_sermonspeaker&view=feed");

$count = 0;

while ($reader->read()) {
    switch ($reader->nodeType) {
        case (XMLREADER::ELEMENT):
        if ($reader->localName == "item") {
			if($count >= $min && $count <= $max) {
                $node = $reader->expand();
                $dom = new DomDocument();
                $n = $dom->importNode($node,true);
                $dom->appendChild($n);
                $sxe = simplexml_import_dom($n);
				$result = $sxe->xpath("itunes:author");
				$author = $sxe->xpath("author");
				$author = $author[0];
/*				while(list( , $node) = each($result)) {
    				$author = $node;
				}*/
				
				echo "<div style='padding: 8px; margin-bottom:4px'>";
				echo "<img src='http://www.frc.dreamhosters.com/images/stories/mp3ArrowWeb.png' align='left' style='margin-right:10px' />";
                echo "<span style='font-weight:bold; font-size:16px; color:#929700'>" . $sxe->title . "</span><br><em>" . $author . "&nbsp;&nbsp;.&nbsp;&nbsp;" . date("l, F j, Y", strtotime($sxe->pubDate)) . "</em><br>" . $sxe->description;
				echo "<div style='float:left'><ul class='bullet-8' style='margin:4px 0px 4px -12px'><li><a href=http://www.frc.dreamhosters.com/download.php?file=" . $sxe->enclosure['url'] . " target='_blank'>download mp3</a></li></ul></div>";
				echo "<div><ul class='bullet-8' style='margin:4px 0px 4px -12px'><li><a rel='rokbox' href=" . $sxe->enclosure['url'] . ">listen now</a></li></ul></div>";
				echo "</div>";
			} 
			$count++;
        }
    }
}

if($prevMin < 0) {
	if ($nextMax >= $numOfItems) {
		echo "<p><a href='?min=" . $nextMin . "&max=" . ($numOfItems-1) . "'>NEXT</a></p>";
	}
	else {
		echo "<p><a href='?min=" . $nextMin . "&max=" . $nextMax . "'>NEXT</a></p>";
	}
}

else {
	if ($nextMax >= $numOfItems) {
		if($nextMin > ($numOfItems)) {
			echo "<p><a href='?min=" . $prevMin . "&max=" . $prevMax . "'>PREV</a></p>";
		}
		else {
			echo "<p><a href='?min=" . $prevMin . "&max=" . $prevMax . "'>PREV</a> | <a href='?min=" . $nextMin . "&max=" . ($numOfItems-1) . "'>NEXT</a></p>";
		}
	}
	else {
		echo "<p><a href='?min=" . $prevMin . "&max=" . $prevMax . "'>PREV</a> | <a href='?min=" . $nextMin . "&max=" . $nextMax . "'>NEXT</a></p>";
	}
}

?>